Bug 972359 - quantum-server doesn't output error to log when fails on parsing plugin conf
quantum-server doesn't output error to log when fails on parsing plugin conf
Status: CLOSED DUPLICATE of bug 973333
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-quantum (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: rc
: 3.0
Assigned To: Gary Kotton
Ofer Blaut
:
Depends On:
Blocks: 973328 973333
  Show dependency treegraph
 
Reported: 2013-06-08 16:43 EDT by Jaroslav Henner
Modified: 2016-04-26 20:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 972360 973328 973333 (view as bug list)
Environment:
Last Closed: 2013-06-11 13:19:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Henner 2013-06-08 16:43:42 EDT
Description of problem:
quantum fails and there is nothing in the log

if there is 
[SECURITYGROUP]
# Firewall driver for realizing quantum security group function
quantum.agent.linux.iptables_firewall.IptablesFirewallDriver

in the /etc/quantum/plugin.ini, then quantum doesn't start and doesn't output anything to server.log


Version-Release number of selected component (if applicable):
openstack-quantum-2013.1.1-10.el6ost.noarch
openstack-quantum-linuxbridge-2013.1.1-10.el6ost.noarch


How reproducible:
always


Steps to Reproduce:
1. change the config accordingly to description
2. restart quantum-server
3.

Actual results:
quantum is dead, nothing in log.

Expected results:
error in log

Additional info:
Comment 1 Ryan O'Hara 2013-06-10 20:33:32 EDT
How did you install? Can you attach the plugin.ini file?
Comment 2 Jaroslav Henner 2013-06-11 08:22:19 EDT
(In reply to Ryan O'Hara from comment #1)
> How did you install? Can you attach the plugin.ini file?

With broken Packstack (see the referred clone of this bug), but you can simulate it without the packstack, with the RPMs for sure. Obviously, the bug won't appear with Devstack because Devstack IMHO doesn't use the init scripts.

I don't have that config, but you should be able to reproduce it:

[root@master-02 ~]# echo 'I am evil as hell.' >> /etc/quantum/plugin.ini 
[root@master-02 ~]# tail -fn0 /var/log/quantum/linuxbridge-agent.log &
[2] 16976
[root@master-02 ~]# /etc/init.d/quantum-linuxbridge-agent restart
Stopping quantum-linuxbridge-agent:                        [  OK  ]
Starting quantum-linuxbridge-agent:                        [  OK  ]
[root@master-02 ~]# /etc/init.d/quantum-linuxbridge-agent status
quantum-linuxbridge-agent dead but pid file exists
[root@master-02 ~]# kill %
[root@master-02 ~]# 

See? No message. Only death.
Comment 3 Jaroslav Henner 2013-06-11 13:19:51 EDT

*** This bug has been marked as a duplicate of bug 973333 ***

Note You need to log in before you can comment on or make changes to this bug.